# Task Attemptor

## What it does:

1. Query all dispatched, un-attempted(currently) tasks that is expected to be attempted before `now()` *(usually assigned by task dispatcher)*
2. Check the task:
    1. **If the task is outdated**: revert the task state into un-dispatched.
    2. **Otherwise**: fetch the channel configurations of rate limiting for the expected attempt channel of the task

3. Generate task attempt:
    1. On rate limiting unexceeded, create a new instance of `task_attempt`, mark the task as `procing`

4. Check if the task is valid for attempting

5. If task valid for attempting, attempt the task via given task type and task channel

## How it runs:

### Configuration:

1. One instance per `TaskType × Channel`
2. Envs vars:
   - `APPOINTMENT_SUGGESTION_SERVICE_URL`: the appointment suggestion service url, without protocol header