// Update with your config settings.

module.exports = {

  development: {
    client: 'pg',
    connection: {
      database: 'lab79-smart-practice-dev',
      user:     'YOUR_NAME',
      password: 'YOUR_PASSWORD'
    },
    pool: {
      min: 2,
      max: 10
    },
    migrations: {
      tableName: 'knex_migrations'
    },
    seeds: {
      directory: "./seeds/dev"
    }
  },

  staging: {
    client: 'pg',
    connection: {
      database: '',
      user:     '',
      password: ''
    },
    pool: {
      min: 2,
      max: 10
    },
    migrations: {
      tableName: 'knex_migrations'
    }
  },

  production: {
    client: 'pg',
    connection: {
      database: '',
      user:     '',
      password: ''
    },
    pool: {
      min: 2,
      max: 10
    },
    migrations: {
      tableName: 'knex_migrations'
    }
  }

};
